<template>
    <div>
        <b-form-input class="col mr-1" type="text" v-model="text" placeholder="Enter Text to add..."/>
        <b-button :disabled="text.trim().length === 0" class="col-2" variant="primary" @click="btnClick">Add</b-button>
    </div>
</template>

<script>
export default {
    name: "TextInput",
    data: function(){
        return {
            text: ""
        }
    },
    methods: {
        btnClick: function(){
            console.info("Btn has been clicked!",this.text)
            this.$emit("btn-click", this.text.trim())
            this.text = ""
        }
    }
}
</script>

<style>

</style>